/****************************************************************************
 Copyright (c) 2010-2012 cocos2d-x.org
 
 http://www.cocos2d-x.org
 
 
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:
 
 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.
 
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 ****************************************************************************/

// boot code needed for cocos2d + JS bindings.
// Not needed by cocos2d-html5

require("jsb.js");

var wim = {};

//cc.SpriteBatchNode.extend = cc.Class.extend;

/*cc.PhysicsSprite.prototype.getBody = function() {
    return this.getCPBody();
};*/

cc.ClippingNode.extend = cc.Class.extend;

var appFiles = [
    'js/lib/underscore.js',
    'js/lib/underscore.string.js',
    'js_bscommon/BSCommon.js',
    'js_bscommon/BSUtil.js',
    'js_bscommon/BSResource.js',
    'js_bscommon/BSHttp.js',
    'js_bscommon/BSTouchPriorityManager.js',
    'js_bscommon/BSTouchableSprite.js',
    'js_bscommon/BSTouchableSpriteWithSwitch.js',
    'js_bscommon/BSMessageManager.js',
    'js_bscommon/BSShare.js',
    'js_bscommon/BSLayer.js',
    'js_bscommon/BSToggleButton.js',
    'js_bscommon/BSClippingNode.js',
    'js_bscommon/BSScrollLayer.js',
    'js_bscommon/BSPagingLayer.js',
    'js/Player.js',
    'js/resource.js',
    'js/Config.js',
    'js/Player.js',
    'js/loader.js',
    'js/Constant.js',
    'js/Util.js',
    'js/H5Layer.js',
    'js/GameLayer.js',
    'js/ui/SplashLayer.js',
    'js/ui/Toast.js',
    'js/ui/Topbar.js',
    'js/ui/BasePanel.js',
    'js/ui/QuitPanel.js',
    'js/ui/StartLayer.js',
    'js/ui/SelectLayer.js',
    'js/ui/AboutLayer.js',
    'js/ui/BeginnersGuidePanel.js',
    'js/ui/ResultPanel.js',
    'js/ui/NoHaveMoneyPanel.js',
    'js/ui/LoadingLayer.js',
    'js/ui/ShopPanel.js',
    'js/ui/CartoonUnlockPanel.js',
    'js/ui/ShareLayer.js',
    'js/ui/NoClickPanel.js',
    'js/ui/PausePanel.js',
    'js/ui/UnlockPanel.js',
    'js/ui/CartoonContainerLayer.js',
    'js/ui/CartoonBrowseLayer.js',
    'js/ui/ResultH5Panel.js',
    'js/level/level1.js',
    'js/level/level2.js',
    'js/level/level3.js',
    'js/level/level4.js',
    'js/level/level5.js',
    'js/level/level6.js',
    'js/level/level7.js',
    'js/level/level8.js',
    'js/level/level9.js',
    'js/level/level10.js',
    'js/level/level11.js',
    'js/level/level12.js',
    'js/level/level13.js',
    'js/level/level14.js',
    'js/level/level15.js',
    'js/level/level16.js',
    'js/level/level17.js',
    'js/level/level18.js',
    'js/level/level19.js',
    'js/level/level20.js',
    'js/level/level21.js',
    'js/level/level22.js',
    'js/level/level23.js',
    'js/level/level24.js',
    'js/level/level25.js',
    'js/level/level26.js',
    'js/level/level27.js',
    'js/level/level28.js',
    'js/level/level29.js',
    'js/level/level30.js',
    'js/level/level31.js',
    'js/level/level32.js'
];

cc.dumpConfig();

for( var i=0; i < appFiles.length; i++) {
    cc.log("require :" + appFiles[i]);
    require( appFiles[i] );
}

var director = cc.Director.getInstance();
director.setDisplayStats(false);

// set FPS. the default value is 1.0/60 if you don't call this
director.setAnimationInterval(1.0 / 60);

wim.init();

var startScene = null;
if(sys.os.toLowerCase() === "android"){
    if(bs.platformpay === "Net"){
        startScene = new wim.SplashLayer(0);
    }
    else{
        startScene = new wim.SplashLayer(1);
    }
}
else{
    if(wim.Player.firstStart) {
        startScene = wim.StartLayer;
        wim.Player.firstStart = false;
        wim.Player.save();
    } else if ( wim.Player.lastScrollPage === -1 ) {
        startScene = wim.StartLayer;
    } else {
        startScene = new wim.SelectLayer(wim.Player.lastScrollPage, true);
    }
}

director.runWithScene(Util.scene(startScene));
bs.Umeng.shared().checkUpdate();

